Skip to main content
GET
/
api
/
v1
/
named_entities
/
{resource_type}
/
{id.project}
/
{id.domain}
/
{id.name}
Returns a :ref:`ref_flyteidl.admin.NamedEntity` object
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/named_entities/{resource_type}/{id.project}/{id.domain}/{id.name}
{
  "resource_type": "UNSPECIFIED",
  "id": {
    "project": "<string>",
    "domain": "<string>",
    "name": "<string>",
    "org": "<string>"
  },
  "metadata": {
    "description": "<string>",
    "state": "NAMED_ENTITY_ACTIVE"
  }
}

Path Parameters

resource_type
enum<string>
required

Resource type of the metadata to get. One of Task, Workflow or LaunchPlan. +required

Available options:
UNSPECIFIED,
TASK,
WORKFLOW,
LAUNCH_PLAN,
DATASET
id.project
string
required

Name of the project the resource belongs to.

id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

id.name
string
required

User provided value for the resource. The combination of project + domain + name uniquely identifies the resource. +optional - in certain contexts - like 'List API', 'Launch plans'

Query Parameters

id.org
string

Optional, org key applied to the resource.

Response

A successful response.

Encapsulates information common to a NamedEntity, a Flyte resource such as a task, workflow or launch plan. A NamedEntity is exclusively identified by its resource type and identifier.

resource_type
enum<string>
default:UNSPECIFIED

Indicates a resource type within Flyte.

  • DATASET: A dataset represents an entity modeled in Flyte DataCatalog. A Dataset is also a versioned entity and can be a compilation of multiple individual objects. Eventually all Catalog objects should be modeled similar to Flyte Objects. The Dataset entities makes it possible for the UI and CLI to act on the objects in a similar manner to other Flyte objects
Available options:
UNSPECIFIED,
TASK,
WORKFLOW,
LAUNCH_PLAN,
DATASET
id
object

Encapsulation of fields that identifies a Flyte resource. A Flyte resource can be a task, workflow or launch plan. A resource can internally have multiple versions and is uniquely identified by project, domain, and name.

metadata
object

Additional metadata around a named entity.